#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - fuse installation
#
# Creation   :  2015-10-09 holbru
# Last update:  $Id: install.sh 102199 2023-05-06 19:50:15Z hbfl $
#
# Copyright (c) 2015-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=fuse

# ---------------------------------------------------------------------------
# check conf files
# ---------------------------------------------------------------------------
conf_files="fuse"

cd /etc

for _conf in ${conf_files}
do
    if [ ! -f ${_conf}.conf ]
    then
        mv ${_conf}.conf-new ${_conf}.conf
    else
        rm -f ${_conf}.conf-new
    fi 
done

chgrp trusted /usr/bin/fusermount
chmod 4750 /usr/bin/fusermount

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
